Bug 971599 - [RHEL7] Yum config manager confuses ID and name
Summary: [RHEL7] Yum config manager confuses ID and name
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: yum-utils   
(Show other bugs)
Version: 7.0
Hardware: Unspecified Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: James Antill
QA Contact: Karel Srot
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 819062
TreeView+ depends on / blocked
 
Reported: 2013-06-06 21:42 UTC by Ben Woodard
Modified: 2014-06-18 07:17 UTC (History)
6 users (show)

Fixed In Version: yum-utils-1.1.31-17.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 971598
Environment:
Last Closed: 2014-06-13 11:11:56 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben Woodard 2013-06-06 21:42:23 UTC
+++ This bug was initially created as a clone of Bug #971598 +++

Description of problem:
Evidently yum config manager confuses ID and name. 


<james> And can yum see it in "yum repolist" ?
<neb> in the list it appears to be:
<neb> rhel-6-server-optional-rpms
<neb> vs
<neb> rhel-server-optional-6-rpms
<james> Are the id and names different?
<james> yum-config-manager just takes ids
<james> repolist does both, IIRC.
<neb> doh that is subtle
<james> ugh … even worse yum-config-manager seems to take names only … doh!
<james> that can't be right.
<james> oh … the code is using name for id … nice.
<james> yeh, repolist has it's own find routine … I can fix that for RHEL-7, probably.
<neb> great. no wonder it had me so confused.
<james> neb: If you could file a RHEL-7 bug/RFE that'd be great.
<neb> this is still rhel6 though
<james> Yeh, you can file a bug there too … I just wouldn't hold your breath.
<neb> still want one for rhel7 but not rhel6
<james> Maybe for 6.6 or whatever.
<neb> OK

Version-Release number of selected component (if applicable):
yum-utils-1.1.30-14.el6.noarch

Comment 2 James Antill 2013-06-18 14:57:23 UTC
yum side is now upstream and in f19/rhel-7 ... just need to update the yum-utils side to turn the feature on in findRepos().

Comment 3 Zdeněk Pavlas 2013-07-30 15:27:46 UTC
<james> Are the id and names different?
<james> yum-config-manager just takes ids
<james> repolist does both, IIRC.
<neb> doh that is subtle
<james> ugh … even worse yum-config-manager seems to take names only … doh!
<james> that can't be right.
<james> oh … the code is using name for id … nice.
<james> yeh, repolist has it's own find routine … I can fix that for RHEL-7, probably.

Ok, so "yum repolist" and yum-config-manager work different.
Should we fix repolist or yum-config-manager?  Should it search IDs, names, or both?  Thanks!

Comment 4 James Antill 2013-07-31 14:16:03 UTC
This is the yum side commit:

commit 65d1cd21418b140e7ab74e568b16067a1b01d2c9
Author: James Antill <james@and.org>
Date:   Fri Jun 7 11:37:32 2013 -0400

    Extend findRepos() so it can work like repolist. BZ 971599.

...then for yum-utils:

commit 1731df0b7175a1268188e432b21fc7ee0c6e5037
Author: James Antill <james@and.org>
Date:   Tue Jun 18 15:11:18 2013 -0400

    Use new findRepos() API for yum-config-manager. BZ 971599.

Comment 7 Ludek Smid 2014-06-13 11:11:56 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.